version: '3.3'
services:
    mysql:
        image: mysql:8
        restart: always
        environment:
            MYSQL_ROOT_PASSWORD: ${API_ROOT}
            MYSQL_DATABASE: api
            MYSQL_ROOT_HOST: '%'
        volumes:
            - "${WORKING_DIR}/storage/mysql:/var/lib/mysql"
        networks:
            - netMySQL
        ports:
            - "3306:3306"
    playwall:
        image: jtobisan/playwall-server:latest
        restart: always
        volumes:
            - "${WORKING_DIR}/deploy_docker:/root/deploy"
        expose:
            - "8080"
        ports:
            - "8090:8080"
        networks:
            - netMySQL
        depends_on:
            - mysql
networks:
    netMySQL:
        driver: bridge
